Index: palm/trunk/SOURCE/netcdf_interface_mod.f90
===================================================================
--- palm/trunk/SOURCE/netcdf_interface_mod.f90	(revision 4742)
+++ palm/trunk/SOURCE/netcdf_interface_mod.f90	(revision 4792)
@@ -1731,6 +1639,5 @@
 !--                Check for biometeorology quantities
                    IF ( .NOT. found  .AND.  biometeorology )  THEN
-                      CALL bio_define_netcdf_grid( do3d(av,i), found,          &
-                                                   grid_x, grid_y, grid_z )
+                      CALL bio_define_netcdf_grid( do3d(av,i), found, grid_x, grid_y, grid_z )
                    ENDIF
 
@@ -1738,6 +1645,5 @@
 !--                Check for chemistry quantities
                    IF ( .NOT. found  .AND.  air_chemistry )  THEN
-                      CALL chem_define_netcdf_grid( do3d(av,i), found,         &
-                                                    grid_x, grid_y, grid_z )
+                      CALL chem_define_netcdf_grid( do3d(av,i), found, grid_x, grid_y, grid_z )
                    ENDIF
 
@@ -1745,23 +1651,19 @@
 !--                Check for SALSA quantities
                    IF ( .NOT. found  .AND.  salsa )  THEN
-                      CALL salsa_define_netcdf_grid( do3d(av,i), found, grid_x,&
-                                                     grid_y, grid_z )
+                      CALL salsa_define_netcdf_grid( do3d(av,i), found, grid_x, grid_y, grid_z )
                    ENDIF
 !
 !--                Check for user-defined quantities
                    IF ( .NOT. found  .AND.  user_module_enabled )  THEN
-                      CALL user_define_netcdf_grid( do3d(av,i), found, grid_x, &
-                                                    grid_y, grid_z )
+                      CALL user_define_netcdf_grid( do3d(av,i), found, grid_x, grid_y, grid_z )
                    ENDIF
 
-                   IF ( .NOT. found )                                          &
-                      CALL doq_define_netcdf_grid( do3d(av,i), found, grid_x,  &
-                                                   grid_y, grid_z        )
+                   IF ( .NOT. found )                                                              &
+                      CALL doq_define_netcdf_grid( do3d(av,i), found, grid_x, grid_y, grid_z )
 
                    IF ( .NOT. found )  THEN
-                      WRITE ( message_string, * ) 'no grid defined for varia', &
-                                                  'ble ', TRIM( do3d(av,i) )
-                      CALL message( 'define_netcdf_header', 'PA0244', 0, 1, 0, &
-                                    6, 0 )
+                      WRITE ( message_string, * ) 'no grid defined for variable ',                 &
+                                                  TRIM( do3d(av,i) )
+                      CALL message( 'define_netcdf_header', 'PA0244', 0, 1, 0, 6, 0 )
                    ENDIF
 
@@ -1794,22 +1696,16 @@
 !
 !--          Define the grid
-             CALL netcdf_create_var( id_set_3d(av),(/ id_x, id_y, id_z,        &
-                                     id_dim_time_3d(av) /), do3d(av,i),        &
-                                     nc_precision(4), id_var_do3d(av,i),       &
-                                     TRIM( do3d_unit(av,i) ), do3d(av,i), 79,  &
-                                     80, 357, .TRUE. )
+             CALL netcdf_create_var( id_set_3d(av),(/ id_x, id_y, id_z, id_dim_time_3d(av) /),     &
+                                     do3d(av,i), nc_precision(4), id_var_do3d(av,i),               &
+                                     TRIM( do3d_unit(av,i) ), do3d(av,i), 79, 80, 357, .TRUE. )
 #if defined( __netcdf4_parallel )
              IF ( netcdf_data_format > 4 )  THEN
 !
 !--             Set no fill for every variable to increase performance.
-                nc_stat = NF90_DEF_VAR_FILL( id_set_3d(av),     &
-                                             id_var_do3d(av,i), &
-                                             NF90_NOFILL, 0 )
+                nc_stat = NF90_DEF_VAR_FILL( id_set_3d(av), id_var_do3d(av,i), NF90_NOFILL, 0 )
                 CALL netcdf_handle_error( 'netcdf_define_header', 532 )
 !
 !--             Set collective io operations for parallel io
-                nc_stat = NF90_VAR_PAR_ACCESS( id_set_3d(av),     &
-                                               id_var_do3d(av,i), &
-                                               NF90_COLLECTIVE )
+                nc_stat = NF90_VAR_PAR_ACCESS( id_set_3d(av), id_var_do3d(av,i), NF90_COLLECTIVE )
                 CALL netcdf_handle_error( 'netcdf_define_header', 445 )
              ENDIF
@@ -1826,13 +1722,11 @@
 
 !
-!--       Write the list of variables as global attribute (this is used by
-!--       restart runs and by combine_plot_fields)
-          nc_stat = NF90_PUT_ATT( id_set_3d(av), NF90_GLOBAL, 'VAR_LIST', &
-                                  var_list )
+!--       Write the list of variables as global attribute (this is used by restart runs and by
+!--       combine_plot_fields).
+          nc_stat = NF90_PUT_ATT( id_set_3d(av), NF90_GLOBAL, 'VAR_LIST', var_list )
           CALL netcdf_handle_error( 'netcdf_define_header', 81 )
 
 !
-!--       Set general no fill, otherwise the performance drops significantly for
-!--       parallel output.
+!--       Set general no fill, otherwise the performance drops significantly for parallel output.
           nc_stat = NF90_SET_FILL( id_set_3d(av), NF90_NOFILL, oldmode )
           CALL netcdf_handle_error( 'netcdf_define_header', 528 )
@@ -1844,6 +1738,5 @@
 
 !
-!--       These data are only written by PE0 for parallel output to increase
-!--       the performance.
+!--       These data are only written by PE0 for parallel output to increase the performance.
           IF ( myid == 0  .OR.  netcdf_data_format < 5 )  THEN
 !
@@ -1855,6 +1748,6 @@
              ENDDO
 
-             nc_stat = NF90_PUT_VAR( id_set_3d(av), id_var_x_3d(av),  &
-                                     netcdf_data, start = (/ 1 /),    &
+             nc_stat = NF90_PUT_VAR( id_set_3d(av), id_var_x_3d(av),                               &
+                                     netcdf_data, start = (/ 1 /),                                 &
                                      count = (/ nx+1 /) )
              CALL netcdf_handle_error( 'netcdf_define_header', 83 )
@@ -1864,6 +1757,6 @@
              ENDDO
 
-             nc_stat = NF90_PUT_VAR( id_set_3d(av), id_var_xu_3d(av), &
-                                     netcdf_data, start = (/ 1 /),    &
+             nc_stat = NF90_PUT_VAR( id_set_3d(av), id_var_xu_3d(av),                              &
+                                     netcdf_data, start = (/ 1 /),                                 &
                                      count = (/ nx+1 /) )
              CALL netcdf_handle_error( 'netcdf_define_header', 385 )
@@ -1879,6 +1772,6 @@
              ENDDO
 
-             nc_stat = NF90_PUT_VAR( id_set_3d(av), id_var_y_3d(av),  &
-                                     netcdf_data, start = (/ 1 /),    &
+             nc_stat = NF90_PUT_VAR( id_set_3d(av), id_var_y_3d(av),                               &
+                                     netcdf_data, start = (/ 1 /),                                 &
                                      count = (/ ny+1 /) )
              CALL netcdf_handle_error( 'netcdf_define_header', 84 )
@@ -1888,6 +1781,6 @@
              ENDDO
 
-             nc_stat = NF90_PUT_VAR( id_set_3d(av), id_var_yv_3d(av), &
-                                     netcdf_data, start = (/ 1 /),    &
+             nc_stat = NF90_PUT_VAR( id_set_3d(av), id_var_yv_3d(av),                              &
+                                     netcdf_data, start = (/ 1 /),                                 &
                                      count = (/ ny+1 /))
              CALL netcdf_handle_error( 'netcdf_define_header', 387 )
@@ -1920,10 +1813,9 @@
 
                    DO  i = 0, nx
-                     netcdf_data(i) = init_model%origin_x                      &
-                                    + cos_rot_angle * ( i + shift_x ) * dx
+                     netcdf_data(i) = init_model%origin_x + cos_rot_angle * ( i + shift_x ) * dx
                    ENDDO
 
-                   nc_stat = NF90_PUT_VAR( id_set_3d(av), id_var_eutm_3d(k,av),&
-                                           netcdf_data, start = (/ 1 /),       &
+                   nc_stat = NF90_PUT_VAR( id_set_3d(av), id_var_eutm_3d(k,av),                    &
+                                           netcdf_data, start = (/ 1 /),                           &
                                            count = (/ nx+1 /) )
                    CALL netcdf_handle_error( 'netcdf_define_header', 555 )
@@ -1950,10 +1842,9 @@
 
                    DO  j = 0, ny
-                      netcdf_data(j) = init_model%origin_y                     &
-                                     + cos_rot_angle * ( j + shift_y ) * dy
+                      netcdf_data(j) = init_model%origin_y + cos_rot_angle * ( j + shift_y ) * dy
                    ENDDO
 
-                   nc_stat = NF90_PUT_VAR( id_set_3d(av), id_var_nutm_3d(k,av),&
-                                           netcdf_data, start = (/ 1 /),       &
+                   nc_stat = NF90_PUT_VAR( id_set_3d(av), id_var_nutm_3d(k,av),                    &
+                                           netcdf_data, start = (/ 1 /),                           &
                                            count = (/ ny+1 /) )
                    CALL netcdf_handle_error( 'netcdf_define_header', 556 )
@@ -1986,12 +1877,12 @@
                   DO  j = 0, ny
                      DO  i = 0, nx
-                        netcdf_data_2d(i,j) = init_model%origin_x                   &
-                                            + cos_rot_angle * ( i + shift_x ) * dx  &
-                                            + sin_rot_angle * ( j + shift_y ) * dy
+                        netcdf_data_2d(i,j) = init_model%origin_x                                  &
+                                              + cos_rot_angle * ( i + shift_x ) * dx               &
+                                              + sin_rot_angle * ( j + shift_y ) * dy
                      ENDDO
                   ENDDO
 
-                  nc_stat = NF90_PUT_VAR( id_set_3d(av), id_var_eutm_3d(k,av),  &
-                                          netcdf_data_2d, start = (/ 1, 1 /),   &
+                  nc_stat = NF90_PUT_VAR( id_set_3d(av), id_var_eutm_3d(k,av),                     &
+                                          netcdf_data_2d, start = (/ 1, 1 /),                      &
                                           count = (/ nx+1, ny+1 /) )
                   CALL netcdf_handle_error( 'netcdf_define_header', 555 )
@@ -1999,12 +1890,12 @@
                   DO  j = 0, ny
                      DO  i = 0, nx
-                        netcdf_data_2d(i,j) = init_model%origin_y                   &
-                                            - sin_rot_angle * ( i + shift_x ) * dx  &
-                                            + cos_rot_angle * ( j + shift_y ) * dy
+                        netcdf_data_2d(i,j) = init_model%origin_y                                  &
+                                              - sin_rot_angle * ( i + shift_x ) * dx  &
+                                              + cos_rot_angle * ( j + shift_y ) * dy
                      ENDDO
                   ENDDO
 
-                  nc_stat = NF90_PUT_VAR( id_set_3d(av), id_var_nutm_3d(k,av),  &
-                                          netcdf_data_2d, start = (/ 1, 1 /),   &
+                  nc_stat = NF90_PUT_VAR( id_set_3d(av), id_var_nutm_3d(k,av),                     &
+                                          netcdf_data_2d, start = (/ 1, 1 /),                      &
                                           count = (/ nx+1, ny+1 /) )
                   CALL netcdf_handle_error( 'netcdf_define_header', 556 )
@@ -2015,12 +1906,12 @@
 !
 !--          Write zu and zw data (vertical axes)
-             nc_stat = NF90_PUT_VAR( id_set_3d(av), id_var_zu_3d(av),  &
-                                     zu(nzb:nz_do3d), start = (/ 1 /), &
+             nc_stat = NF90_PUT_VAR( id_set_3d(av), id_var_zu_3d(av),                              &
+                                     zu(nzb:nz_do3d), start = (/ 1 /),                             &
                                      count = (/ nz_do3d-nzb+1 /) )
              CALL netcdf_handle_error( 'netcdf_define_header', 85 )
 
 
-             nc_stat = NF90_PUT_VAR( id_set_3d(av), id_var_zw_3d(av),  &
-                                     zw(nzb:nz_do3d), start = (/ 1 /), &
+             nc_stat = NF90_PUT_VAR( id_set_3d(av), id_var_zw_3d(av),                              &
+                                     zw(nzb:nz_do3d), start = (/ 1 /),                             &
                                      count = (/ nz_do3d-nzb+1 /) )
              CALL netcdf_handle_error( 'netcdf_define_header', 86 )
@@ -2029,6 +1920,6 @@
 !
 !--             Write zs grid
-                nc_stat = NF90_PUT_VAR( id_set_3d(av), id_var_zs_3d(av),  &
-                                        - zs(nzb_soil:nzt_soil), start = (/ 1 /), &
+                nc_stat = NF90_PUT_VAR( id_set_3d(av), id_var_zs_3d(av),                           &
+                                        - zs(nzb_soil:nzt_soil), start = (/ 1 /),                  &
                                         count = (/ nzt_soil-nzb_soil+1 /) )
                 CALL netcdf_handle_error( 'netcdf_define_header', 86 )
@@ -2038,6 +1929,6 @@
 !
 !--             Write zpc grid
-                nc_stat = NF90_PUT_VAR( id_set_3d(av), id_var_zpc_3d(av),  &
-                                        zu(nzb:nzb+pch_index), start = (/ 1 /), &
+                nc_stat = NF90_PUT_VAR( id_set_3d(av), id_var_zpc_3d(av),                          &
+                                        zu(nzb:nzb+pch_index), start = (/ 1 /),                    &
                                         count = (/ pch_index+1 /) )
                 CALL netcdf_handle_error( 'netcdf_define_header', 86 )
@@ -2071,25 +1962,23 @@
                 DO  j = nys, nyn
                    DO  i = nxl, nxr
-                      eutm = init_model%origin_x                   &
-                           + cos_rot_angle * ( i + shift_x ) * dx  &
-                           + sin_rot_angle * ( j + shift_y ) * dy
-                      nutm = init_model%origin_y                   &
-                           - sin_rot_angle * ( i + shift_x ) * dx  &
-                           + cos_rot_angle * ( j + shift_y ) * dy
-
-                      CALL  convert_utm_to_geographic( crs_list,          &
-                                                       eutm, nutm,        &
-                                                       lon(i,j), lat(i,j) )
+                      eutm = init_model%origin_x                                                   &
+                             + cos_rot_angle * ( i + shift_x ) * dx                                &
+                             + sin_rot_angle * ( j + shift_y ) * dy
+                      nutm = init_model%origin_y                                                   &
+                             - sin_rot_angle * ( i + shift_x ) * dx                                &
+                             + cos_rot_angle * ( j + shift_y ) * dy
+
+                      CALL  convert_utm_to_geographic( crs_list, eutm, nutm, lon(i,j), lat(i,j) )
                    ENDDO
                 ENDDO
 
-                nc_stat = NF90_PUT_VAR( id_set_3d(av), id_var_lon_3d(k,av), &
-                                     lon, start = (/ nxl+1, nys+1 /),       &
-                                     count = (/ nxr-nxl+1, nyn-nys+1 /) )
+                nc_stat = NF90_PUT_VAR( id_set_3d(av), id_var_lon_3d(k,av),                        &
+                                        lon, start = (/ nxl+1, nys+1 /),                           &
+                                        count = (/ nxr-nxl+1, nyn-nys+1 /) )
                 CALL netcdf_handle_error( 'netcdf_define_header', 556 )
 
-                nc_stat = NF90_PUT_VAR( id_set_3d(av), id_var_lat_3d(k,av), &
-                                     lat, start = (/ nxl+1, nys+1 /),       &
-                                     count = (/ nxr-nxl+1, nyn-nys+1 /) )
+                nc_stat = NF90_PUT_VAR( id_set_3d(av), id_var_lat_3d(k,av),                        &
+                                        lat, start = (/ nxl+1, nys+1 /),                           &
+                                        count = (/ nxr-nxl+1, nyn-nys+1 /) )
                 CALL netcdf_handle_error( 'netcdf_define_header', 556 )
              ENDDO
@@ -2100,28 +1989,26 @@
           ENDIF
 !
-!--       In case of non-flat topography write height information. Only for
-!--       parallel netcdf output.
-          IF ( TRIM( topography ) /= 'flat'  .AND.                             &
-               netcdf_data_format > 4 )  THEN
+!--       In case of non-flat topography write height information. Only for parallel netcdf output.
+          IF ( TRIM( topography ) /= 'flat'  .AND.  netcdf_data_format > 4 )  THEN
 
 !             IF ( nxr == nx  .AND.  nyn /= ny )  THEN
-!                nc_stat = NF90_PUT_VAR( id_set_3d(av), id_var_zusi_3d(av),     &
-!                                        zu_s_inner(nxl:nxr+1,nys:nyn),         &
-!                                        start = (/ nxl+1, nys+1 /),            &
+!                nc_stat = NF90_PUT_VAR( id_set_3d(av), id_var_zusi_3d(av),                         &
+!                                        zu_s_inner(nxl:nxr+1,nys:nyn),                             &
+!                                        start = (/ nxl+1, nys+1 /),                                &
 !                                        count = (/ nxr-nxl+2, nyn-nys+1 /) )
 !             ELSEIF ( nxr /= nx  .AND.  nyn == ny )  THEN
-!                nc_stat = NF90_PUT_VAR( id_set_3d(av), id_var_zusi_3d(av),     &
-!                                        zu_s_inner(nxl:nxr,nys:nyn+1),         &
-!                                        start = (/ nxl+1, nys+1 /),            &
+!                nc_stat = NF90_PUT_VAR( id_set_3d(av), id_var_zusi_3d(av),                         &
+!                                        zu_s_inner(nxl:nxr,nys:nyn+1),                             &
+!                                        start = (/ nxl+1, nys+1 /),                                &
 !                                        count = (/ nxr-nxl+1, nyn-nys+2 /) )
 !             ELSEIF ( nxr == nx  .AND.  nyn == ny )  THEN
-!                nc_stat = NF90_PUT_VAR( id_set_3d(av), id_var_zusi_3d(av),     &
-!                                        zu_s_inner(nxl:nxr+1,nys:nyn+1),       &
-!                                        start = (/ nxl+1, nys+1 /),            &
+!                nc_stat = NF90_PUT_VAR( id_set_3d(av), id_var_zusi_3d(av),                         &
+!                                        zu_s_inner(nxl:nxr+1,nys:nyn+1),                           &
+!                                        start = (/ nxl+1, nys+1 /),                                &
 !                                        count = (/ nxr-nxl+2, nyn-nys+2 /) )
 !             ELSE
-                nc_stat = NF90_PUT_VAR( id_set_3d(av), id_var_zusi_3d(av),     &
-                                        zu_s_inner(nxl:nxr,nys:nyn),           &
-                                        start = (/ nxl+1, nys+1 /),            &
+                nc_stat = NF90_PUT_VAR( id_set_3d(av), id_var_zusi_3d(av),                         &
+                                        zu_s_inner(nxl:nxr,nys:nyn),                               &
+                                        start = (/ nxl+1, nys+1 /),                                &
                                         count = (/ nxr-nxl+1, nyn-nys+1 /) )
 !             ENDIF
@@ -2129,22 +2016,22 @@
 
 !             IF ( nxr == nx  .AND.  nyn /= ny )  THEN
-!                nc_stat = NF90_PUT_VAR( id_set_3d(av), id_var_zwwi_3d(av),     &
-!                                        zw_w_inner(nxl:nxr+1,nys:nyn),         &
-!                                        start = (/ nxl+1, nys+1 /),            &
+!                nc_stat = NF90_PUT_VAR( id_set_3d(av), id_var_zwwi_3d(av),                         &
+!                                        zw_w_inner(nxl:nxr+1,nys:nyn),                             &
+!                                        start = (/ nxl+1, nys+1 /),                                &
 !                                        count = (/ nxr-nxl+2, nyn-nys+1 /) )
 !             ELSEIF ( nxr /= nx  .AND.  nyn == ny )  THEN
-!                nc_stat = NF90_PUT_VAR( id_set_3d(av), id_var_zwwi_3d(av),     &
-!                                        zw_w_inner(nxl:nxr,nys:nyn+1),         &
-!                                        start = (/ nxl+1, nys+1 /),            &
+!                nc_stat = NF90_PUT_VAR( id_set_3d(av), id_var_zwwi_3d(av),                         &
+!                                        zw_w_inner(nxl:nxr,nys:nyn+1),                             &
+!                                        start = (/ nxl+1, nys+1 /),                                &
 !                                        count = (/ nxr-nxl+1, nyn-nys+2 /) )
 !             ELSEIF ( nxr == nx  .AND.  nyn == ny )  THEN
-!                nc_stat = NF90_PUT_VAR( id_set_3d(av), id_var_zwwi_3d(av),     &
-!                                        zw_w_inner(nxl:nxr+1,nys:nyn+1),       &
-!                                        start = (/ nxl+1, nys+1 /),            &
+!                nc_stat = NF90_PUT_VAR( id_set_3d(av), id_var_zwwi_3d(av),                         &
+!                                        zw_w_inner(nxl:nxr+1,nys:nyn+1),                           &
+!                                        start = (/ nxl+1, nys+1 /),                                &
 !                                        count = (/ nxr-nxl+2, nyn-nys+2 /) )
 !             ELSE
-                nc_stat = NF90_PUT_VAR( id_set_3d(av), id_var_zwwi_3d(av),     &
-                                        zw_w_inner(nxl:nxr,nys:nyn),           &
-                                        start = (/ nxl+1, nys+1 /),            &
+                nc_stat = NF90_PUT_VAR( id_set_3d(av), id_var_zwwi_3d(av),                         &
+                                        zw_w_inner(nxl:nxr,nys:nyn),                               &
+                                        start = (/ nxl+1, nys+1 /),                                &
                                         count = (/ nxr-nxl+1, nyn-nys+1 /) )
 !             ENDIF
@@ -2157,15 +2044,13 @@
 !
 !--       Get the list of variables and compare with the actual run.
-!--       First var_list_old has to be reset, since GET_ATT does not assign
-!--       trailing blanks.
+!--       First var_list_old has to be reset, since GET_ATT does not assign trailing blanks.
           var_list_old = ' '
-          nc_stat = NF90_GET_ATT( id_set_3d(av), NF90_GLOBAL, 'VAR_LIST', &
-                                  var_list_old )
+          nc_stat = NF90_GET_ATT( id_set_3d(av), NF90_GLOBAL, 'VAR_LIST', var_list_old )
           CALL netcdf_handle_error( 'netcdf_define_header', 87 )
 
           var_list = ';'
           i = 1
-          DO WHILE ( do3d(av,i)(1:1) /= ' ' )
-             var_list = TRIM(var_list) // TRIM( do3d(av,i) ) // ';'
+          DO  WHILE ( do3d(av,i)(1:1) /= ' ' )
+             var_list = TRIM( var_list ) // TRIM( do3d(av,i) ) // ';'
              i = i + 1
           ENDDO
@@ -2178,9 +2063,8 @@
 
           IF ( TRIM( var_list ) /= TRIM( var_list_old ) )  THEN
-             message_string = 'netCDF file for volume data ' //             &
-                              TRIM( var ) // ' from previous run found,' // &
-                              '&but this file cannot be extended due to' // &
-                              ' variable mismatch.' //                      &
-                              '&New file is created instead.'
+             message_string = 'netCDF file for volume data ' // TRIM( var ) //                     &
+                              ' from previous run found,' //                                       &
+                              '&but this file cannot be extended due to' //                        &
+                              ' variable mismatch.' // '&New file is created instead.'
              CALL message( 'define_netcdf_header', 'PA0245', 0, 1, 0, 6, 0 )
              extend = .FALSE.
@@ -2193,19 +2077,17 @@
           CALL netcdf_handle_error( 'netcdf_define_header', 88 )
 
-          nc_stat = NF90_INQUIRE_VARIABLE( id_set_3d(av), id_var_zu_3d(av), &
+          nc_stat = NF90_INQUIRE_VARIABLE( id_set_3d(av), id_var_zu_3d(av),                        &
                                            dimids = id_dim_zu_3d_old )
           CALL netcdf_handle_error( 'netcdf_define_header', 89 )
           id_dim_zu_3d(av) = id_dim_zu_3d_old(1)
 
-          nc_stat = NF90_INQUIRE_DIMENSION( id_set_3d(av), id_dim_zu_3d(av), &
-                                            len = nz_old )
+          nc_stat = NF90_INQUIRE_DIMENSION( id_set_3d(av), id_dim_zu_3d(av), LEN = nz_old )
           CALL netcdf_handle_error( 'netcdf_define_header', 90 )
 
           IF ( nz_do3d-nzb+1 /= nz_old )  THEN
-              message_string = 'netCDF file for volume data ' //             &
-                               TRIM( var ) // ' from previous run found,' // &
-                               '&but this file cannot be extended due to' // &
-                               ' mismatch in number of' //                   &
-                               ' vertical grid points (nz_do3d).' //         &
+              message_string = 'netCDF file for volume data ' // TRIM( var ) //                    &
+                               ' from previous run found,' //                                      &
+                               '&but this file cannot be extended due to' //                       &
+                               ' mismatch in number of' // ' vertical grid points (nz_do3d).' //   &
                                '&New file is created instead.'
              CALL message( 'define_netcdf_header', 'PA0246', 0, 1, 0, 6, 0 )
@@ -2215,12 +2097,11 @@
 
 !
-!--       Get the id of the time coordinate (unlimited coordinate) and its
-!--       last index on the file. The next time level is pl3d..count+1.
-!--       The current time must be larger than the last output time
-!--       on the file.
+!--       Get the id of the time coordinate (unlimited coordinate) and its last index on the file.
+!--       The next time level is pl3d..count+1.
+!--       The current time must be larger than the last output time on the file.
           nc_stat = NF90_INQ_VARID( id_set_3d(av), 'time', id_var_time_3d(av) )
           CALL netcdf_handle_error( 'netcdf_define_header', 91 )
 
-          nc_stat = NF90_INQUIRE_VARIABLE( id_set_3d(av), id_var_time_3d(av), &
+          nc_stat = NF90_INQUIRE_VARIABLE( id_set_3d(av), id_var_time_3d(av),                      &
                                            dimids = id_dim_time_old )
           CALL netcdf_handle_error( 'netcdf_define_header', 92 )
@@ -2228,28 +2109,25 @@
           id_dim_time_3d(av) = id_dim_time_old(1)
 
-          nc_stat = NF90_INQUIRE_DIMENSION( id_set_3d(av), id_dim_time_3d(av), &
-                                            len = ntime_count )
+          nc_stat = NF90_INQUIRE_DIMENSION( id_set_3d(av), id_dim_time_3d(av), LEN = ntime_count )
           CALL netcdf_handle_error( 'netcdf_define_header', 93 )
 
 !
-!--       For non-parallel output use the last output time level of the netcdf
-!--       file because the time dimension is unlimited. In case of parallel
-!--       output the variable ntime_count could get the value of 9*10E36 because
-!--       the time dimension is limited.
+!--       For non-parallel output use the last output time level of the netcdf file because the time
+!--       dimension is unlimited. In case of parallel output the variable ntime_count could get the
+!--       value of 9*10E36 because the time dimension is limited.
           IF ( netcdf_data_format < 5 ) do3d_time_count(av) = ntime_count
 
-          nc_stat = NF90_GET_VAR( id_set_3d(av), id_var_time_3d(av), &
-                                  last_time_coordinate,              &
-                                  start = (/ do3d_time_count(av) /), &
+          nc_stat = NF90_GET_VAR( id_set_3d(av), id_var_time_3d(av),                               &
+                                  last_time_coordinate,                                            &
+                                  start = (/ do3d_time_count(av) /),                               &
                                   count = (/ 1 /) )
           CALL netcdf_handle_error( 'netcdf_define_header', 94 )
 
           IF ( last_time_coordinate(1) >= simulated_time )  THEN
-             message_string = 'netCDF file for volume data ' //             &
-                              TRIM( var ) // ' from previous run found,' // &
-                              '&but this file cannot be extended becaus' // &
-                              'e the current output time' //                &
-                              '&is less or equal than the last output t' // &
-                              'ime on this file.' //                        &
+             message_string = 'netCDF file for volume data ' // TRIM( var ) //                     &
+                              ' from previous run found,' //                                       &
+                              '&but this file cannot be extended because' //                       &
+                              ' the current output time' //                                        &
+                              '&is less or equal than the last output time' // ' on this file.' // &
                               '&New file is created instead.'
              CALL message( 'define_netcdf_header', 'PA0247', 0, 1, 0, 6, 0 )
